# Submission
The repo you submit will have a gameprog.md file. This file will at minimum cover:

* A list of the name of the students in the team
* A list of links to any other repos connected to the game
* A **video** of the **gameplay** showing off the important parts of the game
* A **video** showing off the **code** that is tightinly integrated with the game engine that is difficult to see from the text of the programming.
* Group discussion on the **development process**
   * Strenghts and weaknesses of engine you used in your game
   * How you controlled process and communication systems during development
   * Use of version control systems, ticket tracking, branching, version control
* You will include an **individual** discussion on 
   * A link to, and discussion of, code you consider **good**.
   * A link to, and discussion of, code you consider **bad**.
   * A personal **reflection** about the key concepts you learnt during the course 

# Rubric

|Description | min | def | max |
|----|----|----|----|
|Gameplay video | 5 | 10 | 20 |
|Code video | 0 | 10 | 15 |
|Good Code  | 10 | 20 | 30 |
|Bad Code | 10 | 20 | 30 |
|Development process | 10 | 20 | 30 |
|Reflection | 10 | 20 | 30 |

When referring to the code you have worked on you can claim

* All - you developed all the in this area - no one else can claim more than touching the code
* Most - you did the majority of the development, other developers can claim "some" or "touched"
* Half - you did about half the work in developing this section of code
* Some - there are bits of the code that are significant that you updated or created
* Touched - you did some important debugging.

For code involvement the interaction rules are:

Anyone can claim to have “Touched” code. This would involve as little as single line debugging. You would only mention this if the input was significant for the project, but very small in actual change in code.
If you claim you did “All” of a part of code no one else can claim “Most”, “Half”, or “Some”, any group member can claim they touched the code.
If you claim you did “Most” then others cannot claim “All”, “Most”, or “Half” but up to half the group (N/2) can claim “Some” work.
If you claim “Half” then others cannot claim “All” or “Most”, but one (1) other can claim “Half” and any number of the group (N) can claim “Some” or “Touched” Others

| | # claim |Others| All	| Most | Half | Some | Touched |
|----|----|-|----|----|----|----|----|
| All	| 1 || 0 | 0 | 0 | 0 | N |
| Most | 1 || 0 | 0 | 0 | N | N |
| Half | 2 || 0 | 0 | 1 | N | N |
| Some | N || 0 | 1 | 1 | N | N |
| Touched | N || 1 | 1 | 2 | N | N |


# The Adventures of BigSock Submission

## Members

* Julius Fredrik Einum 
* Robin Ruud Kristensen 
* Robin Sandvik 
* Alexander Gatland 
* Gard Furre

## Gameplay Video

## Code Video



## Work Distribution Matrix

| Category| Julius |Robin R|Robin S|Alexander|Gard|
|----|----|----|----|----|----|
| Physics| - | - | - | - | - |
| UI | - | - | - | - | - | 
| Audio | - | - | - | - | - | 
| Procedural generation | - | - | - | - | - | 
| Sprites | - | - | - | - | - | 
| Items | - | - | - | - | - | 
| Enemies | - | - | - | - | - | 
| Abilities | - | - | - | - | - | 
| Bosses | - | - | - | - | - | 
| Gameplay mechanics | - | - | - | - | - | 
| Design| - | - | - | - | - | 

Explenation of what the numbers mean.
* All - 1
* Most - 2
* Half - 3
* Some - 4
* Touched - 5

## Group discussion

### The engine

### Process and Comunication during development
For controlling what would need to be done for the game we started with using the Issue board in Gitlab, but it did not go for a long time before it was no longer in use. At the beginning of the project, it was easy to be used, but when small problems occurred and was not mentioned in the issue board there ended up not being easy to figure out what had been done from just looking at the different issues.

Each member would come with ideas at the start, so we could find out what we each thought would be a good idea for the game. We discussed the different ideas to get to an agreement of what we wished to get out of this game development so we all could focus on the same product.  

Each week a meeting was held for discussion what had been done and what should be done in the future of the project. In each meeting a TODO list was made, if we used to issue board it would have been a better solution to know new work that needed to be done. It was a solution that work for the group. 

### Use of Version Controll
For version control Gitlab was used. When a new feature was implemented, a commit would be made with a comment about what would was changed or added. When a bug occurred the person that found it would try to fix it before going to the group to discuss a possible solution. 

Each member was working on their own branch to develop new features before either pushing it and then merging it into the main branch. Normally was to develop one feature before merge and not many before a merge request was made.



